Subject: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Jun 2025 14:27:34 +0300

> Cc: [email-masked], Sean Whitton <[email-masked]>
> Date: Wed, 25 Jun 2025 00:08:29 +0200
> From:  Stephen Berman via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> On Tue, 24 Jun 2025 17:24:49 -0400 Kristoffer Balintona <[email-masked]> wrote:
> 
> > On Tue, Jun 24 2025, Sean Whitton wrote:
> >
> >> Hello,
> >>
> >> Yes, I've been wanting to fix this.  Kristoffer, can you test Stephen's
> >> patch?  Thanks.
> >
> > Hi,
> >
> > Yes, this seems to do the trick!
> 
> Good, and thanks for testing!  Sean, Eli, should I push it to master, or
> is it safe enough for emacs-30?

I don't see any reason to fix this urgently, do you?  It's a minor
annoyance, nothing more.